<template>
  <header class="header">
    <div class="header__wrapper">
      <div class="header__logo">
        <img src="#" alt="logo" />
      </div>

      <nav class="header__navigation">
        <ul class="header_navblock">
          <li class="header__navlink"><router-link to="/">Главная</router-link></li>
          <li class="header__navlink"><router-link to="/">Новости</router-link></li>
          <li class="header__navlink"><router-link to="/">Автомобили</router-link></li>
          <li v-if="logged" class="header__navlink"><router-link to="/create-news">Создать запись</router-link></li>
          
        </ul>

        <div v-if="!logged" class="header__login">
          <router-link class="header__login-btn" to="/login">Login</router-link>
          <router-link class="header__singup-btn" to="/sign-up">Sing up</router-link>
        </div>
        <div v-if="logged" class="header__logout header__login">
          <button class="header__login-btn" @click="logout">Выйти</button>
        </div>
      </nav>
    </div>
  </header>
</template>

<script>
import { mapGetters, mapMutations } from 'vuex';
export default {
  name: "Header",
  computed: {
    ...mapGetters({
      logged: 'logged'
    })
  },
  methods: {
    ...mapMutations(['logout'])
  }
};
</script>

<style lang="scss">
@use "@/assets/scss/header.scss";
</style>
